+ Post New Thread
Page 1 of 574 1 2 3 11 51 101 501 ... LastLast
Threads 1 to 25 of 14342

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 47,888
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 54,471
    18th Sep 2006 10:46 pm Go to last post
  1. Question Changing Background colors

    Is there a lisp to change my background color? We receive projects from multiple architects so the names of the layers will be different every project. For our background standards we use multiple...

    Started by Efeezy‎, Yesterday 09:10 pm
    • Replies: 7
    • Views: 94
    Yesterday 11:42 pm Go to last post
  2. Passing values of variables from VBA to LISP and vice versa

    Although initially ported under the VBA forum, I m posting this here as well as it may have better luck. Hello all, I ve been programming in lisp for quite some time having troubles to design...

    Started by MJLM‎, Yesterday 10:33 pm
    lisp vba variables
    • Replies: 1
    • Views: 27
    Yesterday 11:02 pm Go to last post
  3. Breaking TEXT by crossing Line

    Can anyone help me to split several text and Mtext objects based on a vertical polyline passing through them? This is what I mean:

    Started by bababarghi‎, 18th Jun 2016 02:01 am
    • Replies: 4
    • Views: 286
    Yesterday 10:31 pm Go to last post
  4. yes no message

    Anyone know the code in lisp to create a warning message that has yes no buttons? and does one function if yes and another if no??? Thanks in advance

    Started by russell84‎, 28th Apr 2008 07:23 am
    2 Pages
    1 2
    • Replies: 19
    • Views: 7,375
    Yesterday 10:30 pm Go to last post
  5. Question Trying to modify a LISP for multiple object selection outside of block

    Hello to all: I have some LISPS that will move single-selected entities to different layers in a drawing These objects are all inside of blocks. I now need to have the functionality extended...

    Started by neeboy74‎, Yesterday 07:18 pm
    • Replies: 6
    • Views: 89
    Yesterday 09:58 pm Go to last post
  6. What's With QUOTE in the Array

    Some other developers here are sending some variables with values into the project I'm working on from C#.NET code. It looks simple but something I did not expect is happening. (setq the_array...

    Started by Bill Tillman‎, Yesterday 06:15 pm
    • Replies: 1
    • Views: 64
    Yesterday 06:41 pm Go to last post
  7. Lisp to send *display* colors to back

    First, I would like to credit user "irneb" for the first portion of this code that selects objects based on their display color. With the use of this, I have added the functionality to send those...

    Started by jweber‎, 27th Jun 2016 06:40 pm
    • Replies: 4
    • Views: 177
    Yesterday 03:31 pm Go to last post
  8. Build an average line from a family of points

    I have a family of points that resemble a straight line – those points were coming from a third-part application and, due to its low precision, they doesn’t lay on a line, even if they should –...

    Started by MSasu‎, 17th Jan 2013 12:40 pm
    4 Pages
    1 2 3 ... 4
    • Replies: 34
    • Views: 4,819
    Yesterday 01:31 pm Go to last post
  9. Retrieve pick point from a selected text entity

    Hi Guys, Is there a function that return the pick point from a text entity?? Thanks

    Started by dax‎, 17th Jun 2016 12:54 pm
    3 Pages
    1 2 3
    • Replies: 28
    • Views: 733
    Yesterday 01:24 pm Go to last post
  10. Draw Polyline between the lisp, width is equal to distance of 2 lines

    hi, My requirement is that I need to draw polyline between 2 lines, polyline width is equal to distance of the betweeen 2 lines, I need such polylines to verical path aswell as horizontal path. User...

    Started by thejraj2k‎, Yesterday 08:05 am
    • Replies: 4
    • Views: 95
    Yesterday 12:37 pm Go to last post
  11. AECC Label Styles Editing Via LISP

    I had a quick question if it is possible to turn off all the background masks for 3D label styles. I have 2 identical drawings (one is just a copy of the other that is done at the end of the...

    Started by broncos15‎, 27th Jun 2016 05:41 pm
    • Replies: 4
    • Views: 138
    Yesterday 12:25 pm Go to last post
  12. Increment Variables Sequentially Within LISP Routine

    Hello! I've done some searching and have not seen anything that answers this. If I have a variable that represents a selection set of objects, how would I assign a different variable for each...

    Started by drafter_joe‎, 22nd Jun 2016 07:15 pm
    • Replies: 8
    • Views: 324
    Yesterday 12:15 pm Go to last post
  13. Set acad 2010 intial directory for all file selection input

    hi i just want all dialog boxes to start from the 'dwgprefix' and not by the last place visited. this painful problem was asked before but has no sufficient answer just yet. thanks

    Started by samifox‎, Yesterday 02:21 am
    • Replies: 0
    • Views: 91
    Yesterday 02:21 am Go to last post
  14. Request Lisp PLEASE!- make line and copy position Y, paste it to position Z

    can someone help me make a lisp loop routine to make LINE and copy the Position Y, and paste it as Position Z??? so Position Y and Position Z will be the same?? please???? this would help us a lot!...

    Started by ktbjx‎, 27th Jun 2016 03:48 pm
    7 Pages
    1 2 3 ... 7
    • Replies: 63
    • Views: 482
    27th Jun 2016 11:35 pm Go to last post
  15. LISP code is abruptly stopping for invalid option keyword but I can't figure out why.

    FIXED IT. CARRY ON! LISP newbie here. I am writing the following code to automatically assign our office's layers to files we receive from a source outside the office. Many of these commands...

    Started by PinkSnail‎, 27th Jun 2016 04:38 pm
    • Replies: 3
    • Views: 111
    27th Jun 2016 07:22 pm Go to last post
  16. LISP Request - Simple - Change UCS rotation in multiple layouts

    Hey guys! I have several drawings, each containing multiple layouts/viewports that need UCS to be set to World. It'd be great if I could open a drawing, run the lisp, and have a dialog box pop...

    Started by eyeofnewt555‎, 27th Jun 2016 04:21 pm
    layout origin coordinates, lisps, ucs
    • Replies: 0
    • Views: 115
    27th Jun 2016 04:21 pm Go to last post
  17. request lisp assistance please - changing fonts on all my blocks from kalinga to Aria

    Hi i have a whole heap of blocks that have text in them, for some reason they have all changed to Kalinga when i upgraded autocad. Ive tried changing the text style but it doesn't work, i actually...

    Started by mvrcad‎, 27th Jun 2016 03:58 am
    • Replies: 2
    • Views: 145
    27th Jun 2016 03:10 pm Go to last post
  18. Idea LISP Request Offset&Extrude&Substract

    Hello, could You help me with LISP that will do stuff like this: 1) I have a some polylines on drawing. All are closed. I start the lisp and could select one. 2) Selected (1st) polyline should be...

    Started by zwonko‎, 18th Jun 2016 11:21 pm
    • Replies: 3
    • Views: 249
    27th Jun 2016 01:22 pm Go to last post
  19. Multiple Points -> add z-value as label

    Hi all. I have found this script by Lee Mac, which adds x/y coordinates to a selection of points. I wonder what needs to be done to display the z-value of the points only. Though I had a try, I...

    Started by careca‎, 18th Oct 2012 02:09 am
    2 Pages
    1 2
    • Replies: 18
    • Views: 3,434
    27th Jun 2016 10:39 am Go to last post
  20. Question Lisp to calculate versine and insert the text into a drawing

    Hi newbie here, I'm looking for help to create a lisp file that will calculate the versine of an arc then insert the answer as text into a drawing. (I'm useless at explaining). for example if I...

    Started by ASH71‎, 23rd Jun 2016 03:34 pm
    • Replies: 8
    • Views: 283
    27th Jun 2016 09:45 am Go to last post
  21. Lisp to change text height

    Is there a lisp to simply change the height of a specific text in a layer? I wrote this so far, but having troubles. (defun C:CommandName () (command "_.chprop" (ssget "_X" '((8 ....

    Started by CADNADIAN‎, 23rd Jun 2016 04:54 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 397
    26th Jun 2016 05:05 am Go to last post
  22. Lisp for exporting texts and line length to csv

    Hello guys, I couldn't add the length of the line to csv. I want to extract like this: K5172, 60/60, 720 Can anyone help me with this code? (defun c:rp2 (/ ent1 ent2 ent3 len fh fname)

    Started by Avcit‎, 24th Jun 2016 03:17 pm
    • Replies: 9
    • Views: 273
    25th Jun 2016 06:35 pm Go to last post
  23. How to print a variable out in a prompt?

    What I will select is a 3d polyline. (defun c:coord ( / e r) (prompt "\nchoose a onject!") (setq e (entget (car (entsel)))) (setq r 1) (setq count 0) (while r

    Started by Wwx95‎, 24th Jun 2016 11:11 pm
    prompt
    • Replies: 3
    • Views: 208
    25th Jun 2016 10:35 am Go to last post
  24. Question Use Autolisp to draw a pline.

    Hi, can anyone help to chech what's wrong with my code,I can not get the figure. (defun c:huatu() (setq n (getint "Input number of points: ")) (while(> n 0) (setq n (- n 1)) (progn...

    Started by Wwx95‎, 10th Jun 2016 10:02 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 467
    24th Jun 2016 08:59 pm Go to last post
  25. Problem With Trans Function

    Hi, I not regularly use trans function in my routine, so quite new to understand this functions behavior. I have attached drawing contains two rectangles with at different planes or you can say...

    Started by satishrajdev‎, 24th Jun 2016 08:11 am
    2 Pages
    1 2
    • Replies: 11
    • Views: 294
    24th Jun 2016 12:08 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts